;	PIC16 INCLUDE FILE	VERSION 1.1

		processor	16C71

;     define assembler constants

B0		equ	0
B1		equ	1
B2		equ	2
B3		equ	3
B4		equ	4
B5		equ	5
B6		equ	6
B7		equ	7

MSB		equ	7
LSB		equ	0

W		equ	0

;     define special function registers 

		cblock 0x00		; page 0 registers
			INDF,RTCC,PCL,STATUS,FSR,TRISA,TRISB,ZZZZ,
			ADCON0,ADRES,PCLATH,INTCON
		endc

		cblock 0x00		; page 1 registers
			INDF,OPTION,PCL,STATUS,FSR,PORTA,PORTB,ZZZZ,
			ADCON1,ADRES,PCLATH,INTCON
		endc

;	define beginning of general purpose RAM

RAMSTART	equ	0x0C
RAMSTOP	equ	0x2F

;     define commonly used bits

;     STATUS bit definitions

		#define	_C		STATUS,0
		#define	_DC		STATUS,1
		#define	_Z		STATUS,2
		#define	_PD		STATUS,3
		#define	_TO		STATUS,4
		#define	_RP0		STATUS,5
		#define	_PA0		STATUS,5
		#define	_RP1		STATUS,6
		#define	_PA1		STATUS,6
		#define	_IRP		STATUS,7
		#define	_PA2		STATUS,7


